package com.sooka.system.service;

import java.util.List;
import com.sooka.system.domain.TgjjKjhzb;

/**
 * 会计汇总报（年、季、月）Service接口
 * 
 * @author lei
 * @date 2021-11-16
 */
public interface ITgjjKjhzbService 
{
    /**
     * 查询会计汇总报（年、季、月）
     * 
     * @param ID 会计汇总报（年、季、月）ID
     * @return 会计汇总报（年、季、月）
     */
    public TgjjKjhzb selectTgjjKjhzbById(Long ID);

    /**
     * 查询会计汇总报（年、季、月）列表
     * 
     * @param tgjjKjhzb 会计汇总报（年、季、月）
     * @return 会计汇总报（年、季、月）集合
     */
    public List<TgjjKjhzb> selectTgjjKjhzbList(TgjjKjhzb tgjjKjhzb);

    /**
     * 新增会计汇总报（年、季、月）
     * 
     * @param tgjjKjhzb 会计汇总报（年、季、月）
     * @return 结果
     */
    public int insertTgjjKjhzb(TgjjKjhzb tgjjKjhzb);

    /**
     * 修改会计汇总报（年、季、月）
     * 
     * @param tgjjKjhzb 会计汇总报（年、季、月）
     * @return 结果
     */
    public int updateTgjjKjhzb(TgjjKjhzb tgjjKjhzb);

    /**
     * 批量删除会计汇总报（年、季、月）
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTgjjKjhzbByIds(String ids);

    /**
     * 删除会计汇总报（年、季、月）信息
     * 
     * @param ID 会计汇总报（年、季、月）ID
     * @return 结果
     */
    public int deleteTgjjKjhzbById(Long ID);
}
